# Pyprobar

[![image](https://img.shields.io/badge/Pypi-0.1.0.6-green.svg)](https://pypi.org/project/guang)
[![image](https://img.shields.io/badge/python-3.X-blue.svg)](https://www.python.org/)
[![image](https://img.shields.io/badge/license-MIT-blue.svg)](LICENSE)
[![image](https://img.shields.io/badge/author-K.y-orange.svg?style=flat-square&logo=appveyor)](https://github.com/beidongjiedeguang)




An easy-to-use progress bar tool for python.


## Installation

```bash
pip install pyprobar
```

## Synopsis
```bash
28.71% |████████>>>>>>>>>>>>>>>>>  | 0:00:22|0:00:31 ETC: 02-20 18:08:15
```

## Usage

Use `probar` or `bar` for different situations:

  ```python
  from pyprobar import bar, probar
  import time
  
  for idx, x in probar(range(1234)):
      time.sleep(0.02)
  ```
  ```bash
  >>> 18.31%|█████>>>>>                  | 0:00:20|0:00:25  ETC: 02-20 19:00:39
  ```
  ```python
  import numpy as np
  N = 1024
  a = np.linspace(2, 5, N)
  for idx, i in enumerate(a):
      time.sleep(0.01)
      bar(idx, N)
  ```
  ```bash
  >>> 100.00% |█████████████████████████████| 0:00:00|0:00:10  ETC: 02-19 20:33:34 
  ```